Bug 922479 - Review Request: nodejs-uri-js - URI parsing/validating/resolving library for Javascript
Summary: Review Request: nodejs-uri-js - URI parsing/validating/resolving library for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 922481
TreeView+ depends on / blocked
 
Reported: 2013-03-17 11:08 UTC by Tom Hughes
Modified: 2013-04-07 00:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-07 00:29:17 UTC
tchollingsworth: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-03-17 11:08:45 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-uri-js.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-uri-js-1.4.2-1.fc18.src.rpm
Fedora Account System Username: tomh

Description:
URI.js is an RFC 3986 compliant, scheme extendable URI
parsing/validating/resolving library for all JavaScript 
environments (browsers, Node.js, etc).

Comment 1 T.C. Hollingsworth 2013-03-19 22:23:37 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

==== Issues ====

[!]: The README.md file uses the DOS end of line encoding (\r\n).

     Please fix this file to use the UNIX end of line encoding (\n).
     For more information, including how to fix this, see:
     https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/fedora/patches/FedoraReview/922479-nodejs-uri-
     js/licensecheck.txt

2-clause BSD included in README.md; OK.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Node.js:
[x]: Follows the Node.js Naming Guidelines
[x]: BuildRequires: nodejs-devel
[x]: Uses %nodejs_sitelib or %nodejs_sitearch where appropriate
[x]: Uses tarball from the npm registry
[x]: Installs only appropriate files in %{nodejs_sitelib}
[-]: Dependency versions are patched as necessary
[x]: Bundled modules removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (uri-js-1.4.2.tgz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
  

Rpmlint
-------
Checking: nodejs-uri-js-1.4.2-1.fc20.src.rpm
          nodejs-uri-js-1.4.2-1.fc20.noarch.rpm
nodejs-uri-js.noarch: W: only-non-binary-in-usr-lib
nodejs-uri-js.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/nodejs-uri-js-1.4.2/README.md
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Please fix the incorrect EOL encoding.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-uri-js
nodejs-uri-js.noarch: W: only-non-binary-in-usr-lib
nodejs-uri-js.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/nodejs-uri-js-1.4.2/README.md
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

See above

Requires
--------
nodejs-uri-js-1.4.2-1.fc20.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine)

OK

Provides
--------
nodejs-uri-js-1.4.2-1.fc20.noarch.rpm:
    
    nodejs-uri-js = 1.4.2-1.fc20
    npm(uri-js) = 1.4.2

OK

MD5-sum check
-------------
http://registry.npmjs.org/uri-js/-/uri-js-1.4.2.tgz :
  CHECKSUM(SHA256) this package     : 019eabad86caeaddb6b730381c2d5fde67e6b0da6c83bca8f30772f2c401b60c
  CHECKSUM(SHA256) upstream package : 019eabad86caeaddb6b730381c2d5fde67e6b0da6c83bca8f30772f2c401b60c

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b922479

Comment 3 T.C. Hollingsworth 2013-03-19 22:53:16 UTC
% rpmlint SRPMS/nodejs-uri-js-1.4.2-2.fc18.src.rpm RPMS/noarch/nodejs-uri-js-1.4.2-2.fc18.noarch.rpm 
nodejs-uri-js.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

This package is APPROVED.

Comment 4 Tom Hughes 2013-03-19 22:57:41 UTC
New Package SCM Request
=======================
Package Name: nodejs-uri-js
Short Description: URI parsing/validating/resolving library for Javascript
Owners: tomh
Branches: f18
InitialCC:

Comment 5 Pavol Babinčák 2013-03-20 09:59:47 UTC
Git done (by process-git-requests).

Comment 6 Tom Hughes 2013-03-20 11:51:44 UTC
Package Change Request
======================
Package Name: nodejs-uri-js
New Branches: f19
Owners: tomh

Comment 7 Pavol Babinčák 2013-03-20 12:00:17 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-03-20 13:36:14 UTC
nodejs-uri-js-1.4.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-uri-js-1.4.2-2.fc18

Comment 9 Fedora Update System 2013-03-22 00:07:56 UTC
nodejs-uri-js-1.4.2-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-04-07 00:29:19 UTC
nodejs-uri-js-1.4.2-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.